Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_mjit_unit Struct Reference

## Data Fields
int | id
void * | handle
rb_iseq_t * | iseq
char * | o_file
bool | o_file_inherited_p
char | used_code_p
struct list_node | unode
struct rb_mjit_compile_info | compile_info

## Detailed Description

Definition at line 126 of file mjit_worker.c.

## Field Documentation

## ◆ compile_info

struct rb_mjit_compile_info rb_mjit_unit::compile_info

Definition at line 148 of file mjit_worker.c.

## ◆ handle

void* rb_mjit_unit::handle

Definition at line 130 of file mjit_worker.c.

## ◆ id

int rb_mjit_unit::id

Definition at line 128 of file mjit_worker.c.

## ◆ iseq

rb_iseq_t* rb_mjit_unit::iseq

Definition at line 131 of file mjit_worker.c.

## ◆ o_file

char* rb_mjit_unit::o_file

Definition at line 134 of file mjit_worker.c.

## ◆ o_file_inherited_p

bool rb_mjit_unit::o_file_inherited_p

Definition at line 138 of file mjit_worker.c.

## ◆ unode

struct list_node rb_mjit_unit::unode

Definition at line 146 of file mjit_worker.c.

## ◆ used_code_p

char rb_mjit_unit::used_code_p

Definition at line 145 of file mjit_worker.c.

The documentation for this struct was generated from the following file:

- mjit_worker.c